%define name umlmodeller
%define version 1.0.2
%define release 1mdk

Summary: UML Modeller for Linux is a program to create UML application.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: uml-%{version}.tar.bz2
Copyright: GPL
Group: Development/C++
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Patch0: uml-1.0.2-compile.patch

%description
UML Modeller for Linux is a program to create UML application.

Features include: 
support for Sequence diagrams, Collaboration diagrams, Class/Concept diagrams, and Use Case diagrams;
support for the following UML icons: Use Cases; Actors; Classes/Concepts; Objects; Lines of Text; and Note Boxes;
support for the following associations: Anchors; Dependencies; Aggregations; Generalizations; and Associations; and
 

%prep
%setup -n uml-%{version}
%patch0 -p1 -b .patch

%build
%configure --with-xinerama --disable-rpath
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -d %buildroot/%_menudir/
kdedesktop2mdkmenu.pl %{name} Applications/Developpement/Tools %buildroot/%_datadir/applnk/Development/uml.desktop %buildroot/%_menudir/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/doc/*
%{_bindir}/*
%_iconsdir/*/*/*/*
%_datadir/applnk/*/*.desktop
%_datadir/apps/*
%_datadir/mimelnk/*/*
%_menudir/*

%changelog
* Mon Sep 17 2001 Vincent Saugey <vince@mandrakesoft.com> 1.0.2-1mdk
- New version

* Thu Sep  6 2001 Vincent Saugey <vince@mandrakesoft.com> 1.0-1mdk
- New version

* Tue Sep  4 2001 Vincent Saugey <vince@mandrakesoft.com> 1.0-RC1-1mdk
- First mandrake release.
